org.springframework.ldap.transaction.compensating

## Class LdapCompensatingTransactionOperationFactory

- java.lang.Object
- - org.springframework.ldap.transaction.compensating.LdapCompensatingTransactionOperationFactory

- All Implemented Interfaces:
    CompensatingTransactionOperationFactory

      public class LdapCompensatingTransactionOperationFactory
      extends Object
      implements CompensatingTransactionOperationFactory

  `CompensatingTransactionOperationRecorder` implementation for LDAP operations.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapCompensatingTransactionOperationFactory(TempEntryRenamingStrategy renamingStrategy)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompensatingTransactionOperationRecorder` | `createRecordingOperation(Object resource, String operation)` Create an appropriate `CompensatingTransactionOperationRecorder` instance corresponding to the supplied method name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapCompensatingTransactionOperationFactory

          public LdapCompensatingTransactionOperationFactory(TempEntryRenamingStrategy renamingStrategy)

      Constructor.
      Parameters:
        `renamingStrategy` - the `TempEntryRenamingStrategy` to supply to relevant operations.

  - ### Method Detail

    - #### createRecordingOperation

          public CompensatingTransactionOperationRecorder createRecordingOperation(Object resource,
                                                                                   String operation)

      Description copied from interface: `CompensatingTransactionOperationFactory`
      Create an appropriate `CompensatingTransactionOperationRecorder` instance corresponding to the supplied method name.
      Specified by:
        `createRecordingOperation` in interface `CompensatingTransactionOperationFactory`
      Parameters:
        `resource` - The target transaction resource.
        `operation` - the method name to create a `CompensatingTransactionOperationRecorder` for.
      Returns:
        a new `CompensatingTransactionOperationRecorder` instance.